(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? module.exports = factory(require('react')) :
    typeof define === 'function' && define.amd ? define(['react'], factory) :
    (global = global || self, global.useSetFocus = factory(global.React));
}(this, (function (react) { 'use strict';

    /**
     * This hook allows for very easy focusing on an element through some other action on the page.
     */

    var useSetFocus = function useSetFocus() {
      var htmlElementRef = react.useRef(null);

      var setFocus = function setFocus() {
        htmlElementRef.current && htmlElementRef.current.focus();
      };

      return [htmlElementRef, setFocus];
    };

    return useSetFocus;

})));
//# sourceMappingURL=index.umd.js.map
